## SnapdChange SnapdChange — Change progress |

## Functions

const gchar * | snapd_change_get_id ()
const gchar * | snapd_change_get_kind ()
const gchar * | snapd_change_get_summary ()
const gchar * | snapd_change_get_status ()
GPtrArray * | snapd_change_get_tasks ()
gboolean | snapd_change_get_ready ()
GDateTime * | snapd_change_get_spawn_time ()
GDateTime * | snapd_change_get_ready_time ()
const gchar * | snapd_change_get_error ()

## Properties

char * | error | Read / Write / Construct Only
char * | id | Read / Write / Construct Only
char * | kind | Read / Write / Construct Only
gboolean | ready | Read / Write / Construct Only
GDateTime * | ready-time | Read / Write / Construct Only
GDateTime * | spawn-time | Read / Write / Construct Only
char * | status | Read / Write / Construct Only
char * | summary | Read / Write / Construct Only
GPtrArray * | tasks | Read / Write / Construct Only

## Types and Values

| SnapdChange

## Object Hierarchy

        GObject
        ╰── SnapdChange

## Includes

    #include <snapd-glib/snapd-glib.h>

## Description

A SnapdChange contains information on how a request is progressing. Progress information is returned in a SnapdProgressCallback.

## Functions

### snapd_change_get_id ()

    const gchar *
    snapd_change_get_id (SnapdChange *change);

Get the unique ID for this change.

#### Parameters

change | a SnapdChange. |

#### Returns

an ID.

Since: 1.5

### snapd_change_get_kind ()

    const gchar *
    snapd_change_get_kind (SnapdChange *change);

Gets the kind of change this is.

#### Parameters

change | a SnapdChange. |

#### Returns

the kind of change.

Since: 1.5

### snapd_change_get_summary ()

    const gchar *
    snapd_change_get_summary (SnapdChange *change);

Get a human readable description of the change.

#### Parameters

change | a SnapdChange. |

#### Returns

a string describing the change.

Since: 1.5

### snapd_change_get_status ()

    const gchar *
    snapd_change_get_status (SnapdChange *change);

Get the status of the change.

#### Parameters

change | a SnapdChange. |

#### Returns

a status string.

Since: 1.5

### snapd_change_get_tasks ()

    GPtrArray *
    snapd_change_get_tasks (SnapdChange *change);

Get the tasks that are in this change.

#### Parameters

change | a SnapdChange. |

#### Returns

an array of SnapdTask.

[transfer none][element-type SnapdTask]

Since: 1.5

### snapd_change_get_ready ()

    gboolean
    snapd_change_get_ready (SnapdChange *change);

Get if this change is completed.

#### Parameters

change | a SnapdChange. |

#### Returns

`TRUE` if this change is complete.

Since: 1.5

### snapd_change_get_spawn_time ()

    GDateTime *
    snapd_change_get_spawn_time (SnapdChange *change);

Get the time this change started.

#### Parameters

change | a SnapdChange. |

#### Returns

a GDateTime.

[transfer none]

Since: 1.5

### snapd_change_get_ready_time ()

    GDateTime *
    snapd_change_get_ready_time (SnapdChange *change);

Get the time this task completed or `NULL` if not yet completed.

#### Parameters

change | a SnapdChange. |

#### Returns

a GDateTime or `NULL`.

[transfer none][allow-none]

Since: 1.5

### snapd_change_get_error ()

    const gchar *
    snapd_change_get_error (SnapdChange *change);

Gets the error string associated with this change.

#### Parameters

change | a SnapdChange. |

#### Returns

an error string or `NULL`.

[allow-none]

Since: 1.30

## Types and Values

### SnapdChange

    typedef struct _SnapdChange SnapdChange;

SnapdChange contains information on a current Snap transaction.

Since: 1.5

## Property Details

### The `“error”` property

      “error”                    char *

Error associated with change.

Owner: SnapdChange

Flags: Read / Write / Construct Only

Default value: NULL

### The `“id”` property

      “id”                       char *

ID of change.

Owner: SnapdChange

Flags: Read / Write / Construct Only

Default value: NULL

### The `“kind”` property

      “kind”                     char *

Kind of change.

Owner: SnapdChange

Flags: Read / Write / Construct Only

Default value: NULL

### The `“ready”` property

      “ready”                    gboolean

TRUE when change complete.

Owner: SnapdChange

Flags: Read / Write / Construct Only

Default value: FALSE

### The `“ready-time”` property

      “ready-time”               GDateTime *

Time this change completed.

Owner: SnapdChange

Flags: Read / Write / Construct Only

### The `“spawn-time”` property

      “spawn-time”               GDateTime *

Time this change started.

Owner: SnapdChange

Flags: Read / Write / Construct Only

### The `“status”` property

      “status”                   char *

Status of change.

Owner: SnapdChange

Flags: Read / Write / Construct Only

Default value: NULL

### The `“summary”` property

      “summary”                  char *

Summary of change.

Owner: SnapdChange

Flags: Read / Write / Construct Only

Default value: NULL

### The `“tasks”` property

      “tasks”                    GPtrArray *

Tasks in this change.

Owner: SnapdChange

Flags: Read / Write / Construct Only